Loading...
Searching...
No Matches
interpolate.cc

Go to the source code of this file.

## Namespaces

namespace | rheolef
| This file is part of Rheolef.
namespace | rheolef::details

## Macros

#define | _RHEOLEF_instanciation_value(T, M, Value)
#define | _RHEOLEF_instanciation(T, M)

## Functions

template<class T, class M>
void | interpolate_pass1_symbolic (const geo_basic< T, M > &omega, const disarray< point_basic< T >, M > &x, const disarray< geo_element::size_type, M > &ix2dis_ie, disarray< index_set, M > &ie2dis_ix, disarray< point_basic< T >, M > &hat_y)
template<class T, class M, class Value>
void | interpolate_pass2_valued (const field_basic< T, M > &uh, const disarray< point_basic< T >, M > &x, const disarray< index_set, M > &ie2dis_ix, const disarray< point_basic< T >, M > &hat_y, disarray< Value, M > &ux)
template<class T, class M, class Value>
void | interpolate_pass3_dof (const disarray< Value, M > &ux2, field_basic< T, M > &u2h)
template<class T, class M, class Value>
void | interpolate_on_a_different_mesh (const field_basic< T, M > &u1h, const disarray< point_basic< T >, M > &x2, const disarray< geo_element::size_type, M > &ix2dis_ie, disarray< Value, M > &ux2)
template<class T, class M>
field_basic< T, M > | interpolate (const space_basic< T, M > &V2h, const field_basic< T, M > &u1h)
| see the interpolate page for the full documentation
| _RHEOLEF_instanciation (Float, sequential) _RHEOLEF_instanciation(Float

## Macro Definition Documentation

## _RHEOLEF_instanciation_value

#define _RHEOLEF_instanciation_value | ( |  | T,
|  |  | M,
|  |  | Value )

Value:
template void details::interpolate_pass2_valued ( \
const field_basic<T,M>& uh, \
const disarray<point_basic<T>,M>& x, \
const disarray<index_set,M>& ie2dis_ix, \
const disarray<point_basic<T>,M>& hat_x, \
disarray<Value,M>& ux); \
M
Expr1::memory_type M
Definition vec_expr_v2.h:416

Definition at line 307 of file interpolate.cc.

## _RHEOLEF_instanciation

#define _RHEOLEF_instanciation | ( |  | T,
|  |  | M )

Value:
_RHEOLEF_instanciation_value(T,M,T) \
_RHEOLEF_instanciation_value(T,M,point_basic<T>) \
template \
void \
details::interpolate_pass1_symbolic ( \
const geo_basic<T,M>&, \
const disarray<point_basic<T>,M>&, \
const disarray<geo_element::size_type,M>&, \
disarray<index_set,M>&, \
disarray<point_basic<T>,M>&); \
template \
field_basic<T,M> \
interpolate (const space_basic<T,M>&, const field_basic<T,M>&);
_RHEOLEF_instanciation_value
#define _RHEOLEF_instanciation_value(T, Value)
Definition basis_on_pointset.cc:546
T
Expr1::float_type T
Definition field_expr.h:230

Definition at line 315 of file interpolate.cc.